Skip to navigation

RequestEnvelopeWithDocumentFields

View as Markdown

The RequestEnvelopeWithDocumentFields call is similar to the RequestStatus call. It returns the API Envelope object containing all the envelope data, including the document custom DocumentFields. The envelope must be owned by the API user.

Schema

NameSchema TypeDescription
EnvelopeIDStringThe Envelope ID for the requested envelope.
IncludeDocumentBytesBooleanIf set to true the document bytes are returned with the envelope information.

Sample Request XML

POST /api/3.0/accountmanagement.asmx HTTP/1.1
Host: docusign.net
Content-Type: text/xml; charset=utf-8
Content-Length: length
SOAPAction: "http://www.docusign.net/API/AccountManagement/AddMembersToAccount"
<?xml version="1.0" encoding="utf-8"?>
<soap:Envelope xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:soap="http://schemas.xmlsoap.org/soap/envelope/">
<soap: Body>
<RequestEnvelopeWithDocumentFields xmlns="http://www.docusign.net/API/3.0">
<EnvelopeID>string</EnvelopeID>
<IncludeDocumentBytes>boolean</IncludeDocumentBytes>
</RequestEnvelopeWithDocumentFields>
</soap:Body>
</soap:Envelope>

The response returns the requested Envelope object, including the document custom DocumentFields.